Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.dba.oracle
Class Oracle8Adapter

    java.lang.Object
      org.apache.cayenne.dba.JdbcAdapter
          org.apache.cayenne.dba.oracle.OracleAdapter
              org.apache.cayenne.dba.oracle.Oracle8Adapter

All Implemented Interfaces:
  DbAdapter

    public class Oracle8Adapter

extends OracleAdapter

A flavor of OracleAdapter that implements workarounds for some old driver limitations.

Since:
  1.2
Author:
  Andrus Adamchik

Field Summary

Fields inherited from class org.apache.cayenne.dba.oracle.OracleAdapter
`initDone, NEW_BLOB_FUNCTION, NEW_CLOB_FUNCTION, ORACLE_BLOB, ORACLE_CLOB, ORACLE_FLOAT, oracleCursorType, outputStreamFromBlobMethod, supportsOracleLOB, TRIM_FUNCTION, writerFromClobMethod`

Fields inherited from class org.apache.cayenne.dba.JdbcAdapter
`ejbqlTranslatorFactory, extendedTypes, pkGenerator, supportsBatchUpdates, supportsFkConstraints, supportsGeneratedKeys, supportsUniqueConstraints, typesHandler`

Constructor Summary
`Oracle8Adapter()`

Method Summary
`URL` | `findAdapterResource(String name)` Locates and returns a named adapter resource.
`SQLAction` | `getAction(Query query, DataNode node)` Uses OracleActionBuilder to create the right action.

Methods inherited from class org.apache.cayenne.dba.oracle.OracleAdapter
`buildAttribute, configureExtendedTypes, createEJBQLTranslatorFactory, createPkGenerator, dropTableStatements, getOracleCursorType, getOutputStreamFromBlobMethod, getQualifierTranslator, getWriterFromClobMethod, initDriverInformation, isSupportsOracleLOB`

Methods inherited from class org.apache.cayenne.dba.JdbcAdapter
`bindParameter, createFkConstraint, createTable, createTableAppendColumn, createTableAppendPKClause, createUniqueConstraint, dropTable, externalTypesForJdbcType, getBatchTerminator, getEjbqlTranslatorFactory, getExtendedTypes, getPkGenerator, mergerFactory, setEjbqlTranslatorFactory, setPkGenerator, setSupportsBatchUpdates, setSupportsFkConstraints, setSupportsGeneratedKeys, setSupportsUniqueConstraints, supportsBatchUpdates, supportsFkConstraints, supportsGeneratedKeys, supportsUniqueConstraints, tableTypeForTable, tableTypeForView`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Oracle8Adapter

    public Oracle8Adapter()

Method Detail

### getAction

    public SQLAction getAction(Query query,
                               DataNode node)

  Uses OracleActionBuilder to create the right action.

  Specified by:
    `getAction` in interface `DbAdapter`
  Overrides:
    `getAction` in class `OracleAdapter`

### findAdapterResource

    public URL findAdapterResource(String name)

  Description copied from class: `JdbcAdapter`
  Locates and returns a named adapter resource. A resource can be an XML file, etc.

  This implementation is based on the premise that each adapter is located in its own Java package and all resources are in the same package as well. Resource lookup is recursive, so that if DbAdapter is a subclass of another adapter, parent adapter package is searched as a failover.

  Overrides:
    `findAdapterResource` in class `JdbcAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.